allow-lan: true
port: 7890
mode: rule
unified-delay: true
dns:
    enable: true
    ipv6: false
    prefer-h3: true
    listen: 0.0.0.0:53
    enhanced-mode: fake-ip
    fake-ip-range: 172.29.0.1/16
    fake-ip-filter: 
      - '+.lan'
      - '+.in-addr.arpa'
      - +.msftncsi.com
      - +.msftconnecttest.com
    default-nameserver:
      - 1.1.1.1
      - 119.29.29.29
    nameserver-policy:
      "geosite:cn,private":
        - https://223.5.5.5/dns-query
        - https://dns.alidns.com/dns-query
        - https://doh.pub/dns-query
        - https://doh.360.cn

      "rule-set:steamcn,games,dir":
        - https://223.5.5.5/dns-query
        - https://dns.alidns.com/dns-query
        - https://doh.pub/dns-query
        - https://doh.360.cn

    nameserver:
      - https://1.1.1.1/dns-query
      - https://cloudflare-dns.com/dns-query
      - https://8.8.8.8/dns-query
      - https://dns.google/dns-query
      - https://dns.longans.de/dns-query
      - tls://1.0.0.1
      - one.one.one.one
      - dns.google

#proxy-providers:
  # provider1:
    # type: http
    # path: ./meta1.yaml
    # url: https://store.wampee.de/ayFL9u0UtOk8G72JJ4Jx8y8jcxPd95MOWdAc5TOh3aj6gGdW1O/download/collection/all
    # interval: 3600
    # health-check:
      # enable: true
      # url: https://www.gstatic.com/generate_204
      # interval: 300



# 🇺🇸 🇭🇰 🇸🇬 🇹🇼 🇯🇵
proxies:
  - name: 🇺🇸备用
    server: store.ubi.com
    port: 443
    type: trojan
    password: rx0FiIwExe
    network: ws
    sni: cf.wampee.net
    skip-cert-verify: true
    udp: true
    ws-opts:
      path: /Y08N
      headers:
        Host: cf.wampee.net

  - name: 🇸🇬 Oracle
    type: vless
    server: store.ubi.com
    port: 443
    uuid: 6ebe27a3-5cb7-452b-8c53-30c582c04eb6
    udp: true
    tls: true
    servername: sgcf.wampee.net
    client-fingerprint: chrome
    alpn:
      - h2
    network: xhttp
    xhttp-opts:
      mode: stream-up
      path: "/oracle"
      x-padding-bytes: "100-1000"
      sc-max-each-post-bytes: 1000000

      download-settings:
        path: "/oracle"
        server: store.ubi.com
        port: 443
        tls: true
        servername: sgcf.wampee.net
        client-fingerprint: chrome
        alpn:
          - h2  

  - name: 🇸🇬 Smarthost
    type: vless
    server: store.ubi.com
    port: 443
    uuid: 6be30a1d-78a2-4ccf-8eea-9ed69370772b
    udp: true
    tls: true
    servername: smcf.wampee.net
    client-fingerprint: chrome
    alpn:
      - h2
    network: xhttp
    xhttp-opts:
      mode: stream-up
      path: "/smarthost"
      x-padding-bytes: "100-1000"
      sc-max-each-post-bytes: 1000000

      download-settings:
        path: "/smarthost"
        server: store.ubi.com
        port: 443
        tls: true
        servername: smcf.wampee.net
        client-fingerprint: chrome
        alpn:
          - h2  


  - name: 🇮🇳 India            
    type: vless
    server: store.ubi.com
    port: 443                        
    uuid: 47f8119c-6413-4282-957f-c24578c90831
    udp: true
    tls: true
    network: ws
    servername: incf.wampee.net
    ws-opts:
      path: /azure
      headers:
        Host: incf.wampee.net
    alpn:
      - h3

  - name: 🇯🇵 Oracle
    type: vless
    server: store.ubi.com
    port: 443
    uuid: 285dc6ef-ad4b-4b1a-bb85-8cfdb7a03ee8
    udp: true
    tls: true
    servername: jpcf.wampee.net
    client-fingerprint: chrome
    alpn:
      - h2
    network: xhttp
    xhttp-opts:
      mode: stream-up
      path: "/oracle"
      x-padding-bytes: "100-1000"
      sc-max-each-post-bytes: 1000000

      download-settings:
        path: "/oracle"
        server: ip2.wampee.net
        port: 443
        tls: true
        servername: jpcf.wampee.net
        client-fingerprint: chrome
        alpn:
          - h2

  - name: 🇰🇷 Oracle
    type: vless
    server: kr.wampee.net
    port: 8443
    uuid: 3c34f147-688d-4895-adbf-0b4e00348bba
    network: xhttp
    udp: true
    tls: true
    servername: www.oracle.com
    client-fingerprint: chrome
    reality-opts:
      public-key: eAB-6D-Us0uoZceY8VH7eJhnoz0VSdOOFur1eMp8uDI
      short-id: e518c80e
    xhttp-opts:
      mode: stream-one
      path: /oracle
      host: kr.wampee.net
    encryption: none

  - name: 🇰🇷 Oracle-udp
    type: hysteria2
    server: kr.wampee.net
    port: 2083
    ports: 30000-31000
    #hop-interval: 15-30
    password: 9AFzly4QhC
    up: "300 Mbps"
    down: "300 Mbps"
    obfs: salamander
    obfs-password: R3G8e0mu
    sni: kr.wampee.net
    skip-cert-verify: false
    client-fingerprint: chrome
    alpn:
      - h3


  - name: 🇬🇧 Azure     
    type: vless
    server: store.ubi.com
    port: 443                        
    uuid: 7ef73da6-48ef-4230-ad22-62beaab08ae2
    udp: true
    tls: true
    network: ws
    servername: uk.wampee.net
    ws-opts:
      path: /azure
      headers:
        Host: uk.wampee.net

  - name: 🇩🇪 Oracle    
    type: vless
    server: store.ubi.com
    port: 443                        
    uuid: f96dcb88-f8f0-4cb3-91ce-ae7fcdc8f8d6
    udp: true
    tls: true
    network: ws
    servername: decf.wampee.net
    ws-opts:
      path: /oracle
      headers:
        Host: decf.wampee.net

  - name: 🇵🇱 Argo             
    type: vless
    server: wampee.de
    port: 443                        
    uuid: 8d500243-3256-4302-b282-2ae2477d887a
    udp: true
    tls: true
    network: ws
    servername: frog.wampee.de
    ws-opts:
      path: /
      headers:
        Host: frog.wampee.de

  # - name: 🇭🇰 Argo              
    # type: vless
    # server: wampee.de
    # port: 443                        
    # uuid: ddac41af-a60b-4a15-9920-08f4108fdd58
    # udp: true
    # tls: true
    # network: ws
    # servername: argo.wampee.de
    # ws-opts:
      # path: /
      # headers:
        # Host: argo.wampee.de

  # - name: 🇭🇰 dialer备用                      
    # type: ss
    # server: zouter.wampee.de                        
    # port: 4000                              
    # cipher: aes-128-gcm                          
    # password: qwZgrK455e9m6wTrabbrIDY1ylAhW2rx40urXLn1/PY=               
    # udp: true
    # udp-over-tcp: true
    # dialer-proxy: 🇺🇸 BWG

  # - name: 🇯🇵 Oracle
    # server: ip2.wampee.de
    # port: 443
    # type: trojan
    # password: o0tm4UHM9q
    # network: ws
    # sni: oraclecf.wampee.de
    # skip-cert-verify: true
    # udp: true
    # ws-opts:
      # path: 
      # headers:
        # Host: oraclecf.wampee.de

  - name: 🇺🇸 BWG
    type: anytls
    server: tls.wampee.de
    port: 8443
    password: rx0FiIwExe
    client-fingerprint: chrome
    udp: true
    idle-session-check-interval: 30
    idle-session-timeout: 30
    min-idle-session: 0
    sni: tls.wampee.de
    alpn:
      - h2
      - http/1.1
    skip-cert-verify: true

  # - name: 🇺🇸 BWG
    # type: mieru
    # server: tls.wampee.de
    # port-range: 30000-31000
    # transport: TCP
    # udp: true
    # username: 6_ETQnCs
    # password: mMiICwpR
    # multiplexing: MULTIPLEXING_HIGH



  # - name: 🇭🇰 GCP                                   # 可以自定义节点名称
    # server: 35.220.252.219                            # 解析的域名或 IP
    # port: 2083                                     # 自定义端口
    # type: tuic
    # uuid: 4d317767-4fea-48b6-f989-0b2f0134d376      # 自定义 UUID
    # password: lwODhuaWHi  # 自定义认证密码
    # alpn: [h3]
    # reduce-rtt: true
    # udp-relay-mode: native
    # congestion-controller: bbr
    # skip-cert-verify: true
    # sni: gcpsui.wampee.de


  # - name: 🇯🇵 SS                           
    # type: ss
    # server: www.wampee.de                        
    # port: 4000                              
    # cipher: aes-128-gcm                          
    # password: qaigJdyyGEyMspwQQ5GVji+Nvv0uedW/xf7pxhfOoXg=                  
    # udp: true
    # udp-over-tcp: true
    # dialer-proxy: 111

proxy-groups:
  - name: PROXY
    type: select
    proxies:
      - 🇺🇸 BWG
      - 🇰🇷 Oracle-udp
      - 🇰🇷 Oracle 
      - 🇸🇬 Oracle
      - 🇩🇪 Oracle 
      - 🇯🇵 Oracle
      - 🇸🇬 Smarthost
      - 🇬🇧 Azure
      - 🇮🇳 India 
      - 🇵🇱 Argo
      - 🇺🇸备用

  - name: Spotify
    type: select
    proxies:
      - 🇺🇸 BWG
      - 🇰🇷 Oracle 
      - 🇸🇬 Oracle
      - 🇩🇪 Oracle 
      - 🇯🇵 Oracle
      - 🇸🇬 Smarthost
      - 🇬🇧 Azure
      - 🇮🇳 India 
      - 🇵🇱 Argo
      - 🇺🇸备用


rule-providers:
    tiktok:
        behavior: classical
        interval: 86400
        path: ./ruleset/tiktok.yaml
        type: http
        url: https://github.com/blackmatrix7/ios_rule_script/raw/refs/heads/master/rule/Clash/TikTok/TikTok.yaml
    Spotify:
        behavior: classical
        interval: 86400
        path: ./ruleset/Spotify.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Clash/Spotify/Spotify.yaml
    ai:
        behavior: classical
        interval: 86400
        path: ./ruleset/ai.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/ai.yaml
    dir:
        behavior: classical
        interval: 86400
        path: ./ruleset/dir.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/dir.yaml
        
    pro:
        behavior: classical
        interval: 86400
        path: ./ruleset/pro.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/refs/heads/main/pro.yaml

    games:
        behavior: classical
        interval: 86400
        path: ./ruleset/games.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/games.yaml
    google:
        behavior: domain
        interval: 86400
        path: ./ruleset/google.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Google/Google.yaml
    googleseries:
        behavior: classical
        interval: 86400
        path: ./ruleset/googleseries.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/googleseries
    microsoft:
        behavior: classical
        interval: 86400
        path: ./ruleset/microsoft.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/Microsoft/Microsoft.yaml
    steamcn:
        behavior: classical
        interval: 86400
        path: ./ruleset/steamcn.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/master/rule/Clash/SteamCN/SteamCN.yaml
    telegramcidr:
        behavior: classical
        interval: 86400
        path: ./ruleset/telegramcidr.yaml
        type: http
        url: https://raw.githubusercontent.com/blackmatrix7/ios_rule_script/refs/heads/master/rule/Clash/Telegram/Telegram.yaml
    wifi-calling:
        behavior: classical
        interval: 86400
        path: ./ruleset/wifi-calling.yaml
        type: http
        url: https://raw.githubusercontent.com/EnochKingsley83/Rule/main/wifi-calling.yaml
rules:
    - DOMAIN-SUFFIX,store.steampowered.com,PROXY
    - DOMAIN-SUFFIX,steamcommunity.com,PROXY
    - DOMAIN,clash.razord.top,DIRECT
    - DOMAIN,yacd.haishan.me,DIRECT
    - RULE-SET,wifi-calling,PROXY
    - RULE-SET,tiktok,PROXY
    - RULE-SET,Spotify,Spotify
    - RULE-SET,pro,PROXY
    - RULE-SET,googleseries,PROXY
    - RULE-SET,ai,PROXY
    - RULE-SET,steamcn,DIRECT
    - RULE-SET,games,DIRECT
    - RULE-SET,microsoft,PROXY
    - RULE-SET,telegramcidr,PROXY
    - RULE-SET,dir,DIRECT
    - RULE-SET,google,PROXY
    - GEOIP,CN,DIRECT
    - GEOIP,LAN,DIRECT
    - MATCH,PROXY





